* This is a small demonstrative example
* In this case it is shown the use of logic propositions
* instead of integer constraints INT1, INT2, INT3
SET I /1*3/;
SET J /1*2/;
BINARY VARIABLES Y(I);
POSITIVE VARIABLES X(J), C;
VARIABLE Z;
EQUATIONS EQUAT1, EQUAT2, EQUAT3, EQUAT4, EQUAT5, EQUAT6,
*           INT1, INT2, INT3,
           DUMMY, OBJECTIVE;

EQUAT1.. X('2')- X('1') + 2 =L= 0;
EQUAT2.. C =E= 5;
EQUAT3.. 2 - X('2') =L= 0;
EQUAT4.. C =E= 7;
EQUAT5.. X('1')-X('2') =L= 1;
EQUAT6.. X('1') =E= 0;

DUMMY.. SUM(I, Y(I)) =G= 0;

OBJECTIVE.. Z =E= C + 2*X('1') + X('2');
X.UP(J)=20;
C.UP=7;

$ONECHO > "%lm.info%"

DISJUNCTION D1, D2;


D1 IS
IF Y('1') THEN
        EQUAT1;
        EQUAT2;
ELSIF Y('2') THEN
        EQUAT3;
        EQUAT4;
ENDIF;

D2 IS
IF Y('3') THEN
        EQUAT5;
ELSE
        EQUAT6;
ENDIF;
Y('1') and not Y('2') -> not Y('3');
Y('2') -> not Y('3') ;
Y('3') -> not Y('2') ;

$OFFECHO

OPTION MIP=LMBIGM;
OPTION LIMCOL=0;
OPTION LIMROW=0;
MODEL PEQUE2 /ALL/;
SOLVE PEQUE2 USING MIP MINIMIZING Z;